| Dakota Version 6.19 Explore and Predict with Confidence

Public Member Functions | List of all members
OptDartsTraits Class Reference

A version of TraitsBase specialized for OptDarts. More...

Inheritance diagram for OptDartsTraits:

## Public Member Functions
| OptDartsTraits ()
| default constructor
virtual | ~OptDartsTraits ()
| destructor
virtual bool | is_derived ()
| A temporary query used in the refactor.
bool | supports_continuous_variables ()
| Return the flag indicating whether method supports continuous variables.
Public Member Functions inherited from TraitsBase
| TraitsBase ()
| default constructor
virtual | ~TraitsBase ()
| destructor
virtual bool | requires_bounds ()
| Return the flag indicating whether method requires bounds.
virtual bool | supports_linear_equality ()
| Return the flag indicating whether method supports linear equalities.
virtual bool | supports_linear_inequality ()
| Return the flag indicating whether method supports linear inequalities.
virtual LINEAR_INEQUALITY_FORMAT | linear_inequality_format ()
| Return the format used for linear inequality constraints.
virtual bool | supports_nonlinear_equality ()
| Return the flag indicating whether method supports nonlinear equalities.
virtual NONLINEAR_EQUALITY_FORMAT | nonlinear_equality_format ()
| Return the format used for nonlinear equality constraints.
virtual bool | supports_nonlinear_inequality ()
| Return the flag indicating whether method supports nonlinear inequalities.
virtual NONLINEAR_INEQUALITY_FORMAT | nonlinear_inequality_format ()
| Return the format used for nonlinear inequality constraints.
virtual bool | expects_nonlinear_inequalities_first ()
| Return the flag indicating whether method expects nonlinear inequality constraints followed by nonlinear equality constraints.
virtual bool | supports_scaling ()
| Return the flag indicating whether method supports parameter scaling.
virtual bool | supports_least_squares ()
| Return the flag indicating whether method supports least squares.
virtual bool | supports_multiobjectives ()
| Return flag indicating whether method supports multiobjective optimization.
virtual bool | supports_discrete_variables ()
| Return the flag indicating whether method supports continuous variables.
virtual bool | provides_best_objective ()
| Return the flag indicating whether method provides best objective result.
virtual bool | provides_best_parameters ()
| Return the flag indicating whether method provides best parameters result.
virtual bool | provides_best_constraint ()
| Return the flag indicating whether method provides best constraint result.
virtual bool | provides_final_gradient ()
| Return the flag indicating whether method provides final gradient result.
virtual bool | provides_final_hessian ()
| Return the flag indicating whether method provides final hessian result.

## Detailed Description

A version of TraitsBase specialized for OptDarts.

The documentation for this class was generated from the following file:

- OptDartsOptimizer.hpp